Subject: Re: re-licensing pkt-line.c code

From: Andreas Ericsson <[email-masked]>
Date: Thu, 25 Sep 2008 19:57:40 +0200

Scott Chacon wrote:
> Hey all,
> 
> I am writing a partial implementation of git in Objective-C so I can
> get a git server running on an iphone, and hopefully it could
> eventually be used in a mac desktop app that could be distributed
> without the git binary. If anyone is interested in the project, you
> can get it here:
> 
> http://github.com/schacon/objective-git
> 
> There are about 20-25 lines of code from pkt-line.c that I think were
> originally written back in 2005 that I would like to use so I don't
> have to re-implement them.  It is pretty generic - it is just the code
> that converts an int into a 4 char hex and back that is placed at the
> beginning of several of the network protocol lines.
> 
> http://github.com/schacon/objective-git/tree/master/ObjGitServerHandler.m#L554
> 
> I have to relicense this, since I can't legally distribute my source
> code for the iphone app due to Apples f**king NDA.  I would like to
> release my ObjectiveGit project under the MIT (or, alternately, LGPL).
>  Is Linus the right person to ask for this permission?  What is the
> best way to do so?

Linus wrote nearly all of pkt-line.c, so yes, he'd be the right person
to ask. If the lines you need were co-authored by someone else, you'll
need to ask that co-author too.

>  I could come up with an alternate way to
> accomplish the same thing, but it seems like a waste of time to do so,
> and helpful to nobody.
> 

Well, tracking down the original author(s) could turn out to be harder.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231